#!/bin/sh

### BEGIN INIT INFO
# Provides:        dyndn
# Required-Start:  $network $remote_fs $syslog
# Required-Stop:   $network $remote_fs $syslog
# Default-Start:   2 3 4 5
# Default-Stop:	   0 1 6
# Short-Description: Start Dynamic DNS daemon
### END INIT INFO


DAEMON=/usr/bin/dyndn
PIDFILE=/var/run/dyndn.pid

if [ -f /lib/lsb/init-functions ] ; then
. /lib/lsb/init-functions
fi

test -x $DAEMON || exit 5

if [ ! -r /etc/dyndn.conf ]
then
	dyndn_setup
fi

case "$1" in
    start)
    echo -n "Starting dynamic DNS client: "
    start-stop-daemon --start --exec $DAEMON
    echo dyndn
    ;;
    stop)
    echo -n "Shutting down dynamic DNS client: "
    start-stop-daemon --stop --oknodo --retry 30 --exec $DAEMON
    echo dyndn
    ;;

    restart)
    echo -n "Restarting dynamic address update: "
    start-stop-daemon --stop --oknodo --retry 30 --exec $DAEMON
    sleep 1
    start-stop-daemon --start --exec $DAEMON
    echo dyndn
    ;;

    *)
    echo "Usage: $0 {start|stop|restart}"
    exit 1
esac
exit 0

